FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 12-01-2010, 11:45 AM
Martín Marqués
 
Default php-pear dependencies install httpd

I have my laptop with php-cli and php-pear installed, and I was to do
an upgrade and found that yum wanted to install httpd package to my
surprise.

Looking in detail, I found that php-pear needed php-devel, which needs
php, which needs httpd.

--> Ejecutando prueba de transacción
---> Paquete php-pear.noarch 1:1.9.1-5.fc13 definido para ser actualizado
--> Procesando dependencias: php-devel para el paquete:
1hp-pear-1.9.1-5.fc13.noarch
--> Ejecutando prueba de transacción
---> Paquete php-devel.x86_64 0:5.3.3-1.fc13 definido para ser instalado
--> Procesando dependencias: php = 5.3.3-1.fc13 para el paquete:
php-devel-5.3.3-1.fc13.x86_64
--> Ejecutando prueba de transacción
---> Paquete php.x86_64 0:5.3.3-1.fc13 definido para ser instalado
--> Procesando dependencias: httpd-mmn = 20051115 para el paquete:
php-5.3.3-1.fc13.x86_64
--> Procesando dependencias: httpd para el paquete: php-5.3.3-1.fc13.x86_64
--> Ejecutando prueba de transacción
---> Paquete httpd.x86_64 0:2.2.17-1.fc13.1 definido para ser instalado
--> Procesando dependencias: httpd-tools = 2.2.17-1.fc13.1 para el
paquete: httpd-2.2.17-1.fc13.1.x86_64
--> Procesando dependencias: apr-util-ldap para el paquete:
httpd-2.2.17-1.fc13.1.x86_64
--> Ejecutando prueba de transacción
---> Paquete apr-util-ldap.x86_64 0:1.3.10-1.fc13 definido para ser instalado
---> Paquete httpd-tools.x86_64 0:2.2.17-1.fc13.1 definido para ser instalado

Any ideas why these dependencies appeared? Basically, whi does
php-pear need php-devel.

--
Martín Marqués
select 'martin.marques' || '@' || 'gmail.com'
DBA, Programador, Administrador
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 12-01-2010, 11:45 AM
Martín Marqués
 
Default php-pear dependencies install httpd

I have my laptop with php-cli and php-pear installed, and I was to do
an upgrade and found that yum wanted to install httpd package to my
surprise.

Looking in detail, I found that php-pear needed php-devel, which needs
php, which needs httpd.

--> Ejecutando prueba de transacción
---> Paquete php-pear.noarch 1:1.9.1-5.fc13 definido para ser actualizado
--> Procesando dependencias: php-devel para el paquete:
1hp-pear-1.9.1-5.fc13.noarch
--> Ejecutando prueba de transacción
---> Paquete php-devel.x86_64 0:5.3.3-1.fc13 definido para ser instalado
--> Procesando dependencias: php = 5.3.3-1.fc13 para el paquete:
php-devel-5.3.3-1.fc13.x86_64
--> Ejecutando prueba de transacción
---> Paquete php.x86_64 0:5.3.3-1.fc13 definido para ser instalado
--> Procesando dependencias: httpd-mmn = 20051115 para el paquete:
php-5.3.3-1.fc13.x86_64
--> Procesando dependencias: httpd para el paquete: php-5.3.3-1.fc13.x86_64
--> Ejecutando prueba de transacción
---> Paquete httpd.x86_64 0:2.2.17-1.fc13.1 definido para ser instalado
--> Procesando dependencias: httpd-tools = 2.2.17-1.fc13.1 para el
paquete: httpd-2.2.17-1.fc13.1.x86_64
--> Procesando dependencias: apr-util-ldap para el paquete:
httpd-2.2.17-1.fc13.1.x86_64
--> Ejecutando prueba de transacción
---> Paquete apr-util-ldap.x86_64 0:1.3.10-1.fc13 definido para ser instalado
---> Paquete httpd-tools.x86_64 0:2.2.17-1.fc13.1 definido para ser instalado

Any ideas why these dependencies appeared? Basically, whi does
php-pear need php-devel.

--
Martín Marqués
select 'martin.marques' || '@' || 'gmail.com'
DBA, Programador, Administrador
--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 
Old 12-01-2010, 12:25 PM
BJ Dierkes
 
Default php-pear dependencies install httpd

php-pear most likely depends on php-devel as a courtesy, based on the fact that PECL requires php-devel in order to build some/most/all (?) of its modules. Meaning, when someone says:

# pecl install foo


Foo requires php-devel to build properly, and install the module. Without php-devel as a dependency of php-pear, users would be confronted to sometimes obscure pecl install failures.

---
derks



On Dec 1, 2010, at 6:45 AM, Martín Marqués wrote:

> I have my laptop with php-cli and php-pear installed, and I was to do
> an upgrade and found that yum wanted to install httpd package to my
> surprise.
>
> Looking in detail, I found that php-pear needed php-devel, which needs
> php, which needs httpd.
>
> --> Ejecutando prueba de transacción
> ---> Paquete php-pear.noarch 1:1.9.1-5.fc13 definido para ser actualizado
> --> Procesando dependencias: php-devel para el paquete:
> 1hp-pear-1.9.1-5.fc13.noarch
> --> Ejecutando prueba de transacción
> ---> Paquete php-devel.x86_64 0:5.3.3-1.fc13 definido para ser instalado
> --> Procesando dependencias: php = 5.3.3-1.fc13 para el paquete:
> php-devel-5.3.3-1.fc13.x86_64
> --> Ejecutando prueba de transacción
> ---> Paquete php.x86_64 0:5.3.3-1.fc13 definido para ser instalado
> --> Procesando dependencias: httpd-mmn = 20051115 para el paquete:
> php-5.3.3-1.fc13.x86_64
> --> Procesando dependencias: httpd para el paquete: php-5.3.3-1.fc13.x86_64
> --> Ejecutando prueba de transacción
> ---> Paquete httpd.x86_64 0:2.2.17-1.fc13.1 definido para ser instalado
> --> Procesando dependencias: httpd-tools = 2.2.17-1.fc13.1 para el
> paquete: httpd-2.2.17-1.fc13.1.x86_64
> --> Procesando dependencias: apr-util-ldap para el paquete:
> httpd-2.2.17-1.fc13.1.x86_64
> --> Ejecutando prueba de transacción
> ---> Paquete apr-util-ldap.x86_64 0:1.3.10-1.fc13 definido para ser instalado
> ---> Paquete httpd-tools.x86_64 0:2.2.17-1.fc13.1 definido para ser instalado
>
> Any ideas why these dependencies appeared? Basically, whi does
> php-pear need php-devel.
>
> --
> Martín Marqués
> select 'martin.marques' || '@' || 'gmail.com'
> DBA, Programador, Administrador
> --
> devel mailing list
> devel@lists.fedoraproject.org
> https://admin.fedoraproject.org/mailman/listinfo/devel

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 12-01-2010, 01:31 PM
Michael Cronenworth
 
Default php-pear dependencies install httpd

Martín Marqués wrote:
> Any ideas why these dependencies appeared? Basically, whi does
> php-pear need php-devel.

https://bugzilla.redhat.com/show_bug.cgi?id=657812



--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 
Old 12-01-2010, 02:52 PM
Remi Collet
 
Default php-pear dependencies install httpd

Le 01/12/2010 14:25, BJ Dierkes a écrit :
> php-pear most likely depends on php-devel as a courtesy, based on the fact that PECL requires php-devel in order to build some/most/all (?) of its modules. Meaning, when someone says:
>
> # pecl install foo
>
>
> Foo requires php-devel to build properly, and install the module. Without php-devel as a dependency of php-pear, users would be confronted to sometimes obscure pecl install failures.

PHP maintainers are aware of (working on) this issue

https://bugzilla.redhat.com/show_bug.cgi?id=657812

Remi.
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 

Thread Tools




All times are GMT. The time now is 01:03 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org